aboutsummaryrefslogtreecommitdiffstats
path: root/demo/nginx_proxy/demo-2/apply_patch.sh
diff options
context:
space:
mode:
authoryalei wang <wylandrea@gmail.com>2018-11-13 12:29:53 +0000
committerGerrit Code Review <gerrit@fd.io>2018-11-13 12:29:53 +0000
commitc44fe256a1f1812dc511697808c99dcc92d93068 (patch)
tree0b73728001d8e37e4a5a873430e826f64a8207a0 /demo/nginx_proxy/demo-2/apply_patch.sh
parent89615f166692b82c3d19d0d73ca3028241d923d9 (diff)
parent6b11ecb07f5612819635eb48ec26d94d1fc64cf1 (diff)
Merge "Chore: NGINX demo with multi stack and multi protocol (vpp-hoststck, lwip, kernel) (tcp, udp)"
Diffstat (limited to 'demo/nginx_proxy/demo-2/apply_patch.sh')
-rwxr-xr-xdemo/nginx_proxy/demo-2/apply_patch.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/demo/nginx_proxy/demo-2/apply_patch.sh b/demo/nginx_proxy/demo-2/apply_patch.sh
new file mode 100755
index 0000000..05e8c66
--- /dev/null
+++ b/demo/nginx_proxy/demo-2/apply_patch.sh
@@ -0,0 +1,9 @@
+#!/bin/bash -x
+sudo apt-get install patch -y
+cd /DMM/src/
+sudo patch -p2 -i /DMM/demo/nginx_proxy/demo-2/demo_2stack.patch
+if [ $? -ne 0 ]; then
+ echo "Patch Apply failed. Downlaod correct commit. Check README for details."
+ exit -1
+fi
+cd -